## ros-jazzy-rosbag2-cpp 0.26.3

=== debian/changelog ===
ros-jazzy-rosbag2-cpp (0.26.3-1bookworm) bookworm; urgency=high

  * Bugfix for writer not being able to open again after closing (#1599 <https://github.com/ros2/rosbag2/issues/1599>) (#1639 <https://github.com/ros2/rosbag2/issues/1639>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    Co-authored-by: yschulz <mailto:yschulz854@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 May 2024 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.26.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.26.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 16 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.26.0-1bookworm) bookworm; urgency=high

  * Support service 2/2 --- rosbag2 service play (#1481 <https://github.com/ros2/rosbag2/issues/1481>)
  * Use middleware send and receive timestamps from message_info during recording (#1531 <https://github.com/ros2/rosbag2/issues/1531>)
  * Update to use yaml-cpp version 0.8.0. (#1605 <https://github.com/ros2/rosbag2/issues/1605>)
  * Contributors: Barry Xu, Chris Lalancette, jmachowinski, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.25.0-1bookworm) bookworm; urgency=high

  * Use std::filesystem instead of rcpputils::fs (#1576 <https://github.com/ros2/rosbag2/issues/1576>)
  * Make some changes for newer versions of uncrustify. (#1578 <https://github.com/ros2/rosbag2/issues/1578>)
  * Add topic_id returned by storage to the TopicMetadata (#1538 <https://github.com/ros2/rosbag2/issues/1538>)
  * call cv.wait_until only if necessary. (#1521 <https://github.com/ros2/rosbag2/issues/1521>)
  * Implement service recording and display info about recorded services (#1480 <https://github.com/ros2/rosbag2/issues/1480>)
  * Switch to target_link_libraries everywhere. (#1504 <https://github.com/ros2/rosbag2/issues/1504>)
  * Use enum values for offered_qos_profiles in code and string names in serialized metadata (#1476 <https://github.com/ros2/rosbag2/issues/1476>)
  * ros2 bag convert now excludes messages not in [start_time;end_time] (#1455 <https://github.com/ros2/rosbag2/issues/1455>)
  * Replace TSAUniqueLock implementation with rcpputils::unique_lock (#1454 <https://github.com/ros2/rosbag2/issues/1454>)
  * Add BagSplitInfo service call on bag close (#1422 <https://github.com/ros2/rosbag2/issues/1422>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Michael Orlov, Patrick Roncagliolo, Peter Favrholdt, Roman Sokolkov, Tomoya Fujita

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.24.0-1bookworm) bookworm; urgency=high

  * Rewrite TimeControllerClockTest.unpaused_sleep_returns_true to be correct (#1384 <https://github.com/ros2/rosbag2/issues/1384>)
  * Implement storing and loading ROS_DISTRO from metadata.yaml and mcap files (#1241 <https://github.com/ros2/rosbag2/issues/1241>)
  * Don't crash when type definition cannot be found (#1350 <https://github.com/ros2/rosbag2/issues/1350>)
  * Add recorder stop() API (#1300 <https://github.com/ros2/rosbag2/issues/1300>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.23.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.22.0-1bookworm) bookworm; urgency=high

  * Add type_hash in MessageDefinition struct (#1296 <https://github.com/ros2/rosbag2/issues/1296>)
  * Add message definition read API (#1292 <https://github.com/ros2/rosbag2/issues/1292>)
  * rosbag2_storage: add type description hash to topic metadata (#1272 <https://github.com/ros2/rosbag2/issues/1272>)
  * Fix for flaky TimeControllerClockTest::unpaused_sleep_returns_true test (#1290 <https://github.com/ros2/rosbag2/issues/1290>)
  * Contributors: Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.21.0-1bookworm) bookworm; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Fix rwm->rmw spelling (#1249 <https://github.com/ros2/rosbag2/issues/1249>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Emerson Knapp, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.20.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.19.0-1bookworm) bookworm; urgency=high

  * Expose more Writer methods in python interface (#1220 <https://github.com/ros2/rosbag2/issues/1220>)
  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * Parametrize all rosbag2_tests for both supported storage plugins (#1221 <https://github.com/ros2/rosbag2/issues/1221>)
  * rosbag2_cpp: test more than one storage plugin (#1196 <https://github.com/ros2/rosbag2/issues/1196>)
  * Replace language for "db3"/"db"/"database" (#1194 <https://github.com/ros2/rosbag2/issues/1194>)
  * set_read_order: return success (#1177 <https://github.com/ros2/rosbag2/issues/1177>)
  * Remove explicit sqlite3 from code (#1166 <https://github.com/ros2/rosbag2/issues/1166>)
  * Add update_metadata(BagMetadata) API for storage plugin interface (#1149 <https://github.com/ros2/rosbag2/issues/1149>)
  * Reader and writer can use default storage by not specifying (#1167 <https://github.com/ros2/rosbag2/issues/1167>)

