## ros-jazzy-rosbag2-cpp 0.26.5

=== debian/changelog ===
ros-jazzy-rosbag2-cpp (0.26.5-1bookworm) bookworm; urgency=high

  * Bugfix for bag_split event callbacks called to early with file compression (#1643 <https://github.com/ros2/rosbag2/issues/1643>) (#1732 <https://github.com/ros2/rosbag2/issues/1732>)
    (cherry picked from commit 1877b53847bda4d1f2668187b79fa27a796c3438)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-rosbag2-cpp (0.26.4-1bookworm) bookworm; urgency=high

  * Add topics with zero message counts to the SQLiteStorage::get_metadata(). (#1725 <https://github.com/ros2/rosbag2/issues/1725>) (#1731 <https://github.com/ros2/rosbag2/issues/1731>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
  * Propagate "custom_data" and "ros_distro" in to the metadata.yaml file during re-indexing (#1700 <https://github.com/ros2/rosbag2/issues/1700>) (#1710 <https://github.com/ros2/rosbag2/issues/1710>)
    Co-authored-by: Cole Tucker <mailto:coalman321@users.noreply.github.com>

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 26 Jun 2024 16:00:00 -0000
