=== debian/control ===
Source: ros-jazzy-rosbag2-cpp
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-ament-index-cpp, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rmw-implementation, ros-jazzy-rosbag2-storage, ros-jazzy-rosbag2-storage-default-plugins <!nocheck>, ros-jazzy-rosbag2-test-common <!nocheck>, ros-jazzy-rosbag2-test-msgdefs <!nocheck>, ros-jazzy-rosidl-runtime-c, ros-jazzy-rosidl-runtime-cpp, ros-jazzy-rosidl-typesupport-cpp, ros-jazzy-rosidl-typesupport-introspection-cpp, ros-jazzy-shared-queues-vendor, ros-jazzy-std-msgs <!nocheck>, ros-jazzy-test-msgs <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rosbag2-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ament-index-cpp, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rmw-implementation, ros-jazzy-rosbag2-storage, ros-jazzy-rosidl-runtime-c, ros-jazzy-rosidl-runtime-cpp, ros-jazzy-rosidl-typesupport-cpp, ros-jazzy-rosidl-typesupport-introspection-cpp, ros-jazzy-shared-queues-vendor, ros-jazzy-ros-workspace
Description: C++ ROSBag2 client library
